## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate archery

Name:           rust-archery
Version:        1.2.0
Release:        %autorelease
Summary:        Abstract over the atomicity of reference-counting pointers

License:        MPL-2.0
URL:            https://crates.io/crates/archery
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
Patch:          archery-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Abstract over the atomicity of reference-counting pointers.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/release-notes.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fatal-warnings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fatal-warnings-devel %{_description}

This package contains library source intended for building other packages which
use the "fatal-warnings" feature of the "%{crate}" crate.

%files       -n %{name}+fatal-warnings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+triomphe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+triomphe-devel %{_description}

This package contains library source intended for building other packages which
use the "triomphe" feature of the "%{crate}" crate.

%files       -n %{name}+triomphe-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 25 2024 Mattia Verga <mattia.verga@proton.me> - 1.2.0-1
- Update to 1.2.0 (fedora#2265213)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Nov 18 2023 Mattia Verga <mattia.verga@proton.me> - 1.1.0-1
- Update to 1.1.0 (fedora#2247321)

* Sun Jul 23 2023 Mattia Verga <mattia.verga@proton.me> - 1.0.0-2
- Fix patch and specfile after update

* Sun Jul 23 2023 Mattia Verga <mattia.verga@proton.me> - 1.0.0-1
- Update to 1.0.0 (fedora#2224458)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 08 2023 Mattia Verga <mattia.verga@proton.me> - 0.5.0-1
- Initial import (fedora#2221357)
## END: Generated by rpmautospec
